import { HttpClient, HttpHeaderResponse, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class HttpService {

  constructor(private http:HttpClient) { }

  post(serviceName:string, data:any){
    const headers = new HttpHeaders();
    const options = {header: headers, withCredentials: false};
    const url = environment.apiChatUrl+serviceName;
    const body = {"user": "admin","password": "tabteste@006"};

    return this.http.post(url, /* JSON.stringify( */data/* ), options */)
  }

  get(serviceName:string, options:any){
    const url = environment.apiChatUrl+serviceName;
    return this.http.get(url, options);
  }
}

